Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Gregory Heytings <[email-masked]>
Date: Fri, 16 Sep 2022 20:04:25 +0000

>> What about --setq args "(list %U)"?
>
> That wouldn't work, since .desktop files forbid %-expansions inside 
> quotes[1]. Even working around that, the expansion would look something 
> like this:
>
> (list mailto:[email-masked] ...)
>

Okay, now I see what you mean, you want to be able to pass an array of 
strings/arguments to Elisp.  Then I think that the cleanest/most flexible 
way to do that would be

--setq VAR VAL ... --

(note the final double hyphen) defined as having the effect of (setq VAR 
(list "VAL" ...)).  That would allow zero, one or more arguments.